## event_available

### Use

You use this DBM command to display whether events were triggered and can be fetched with event_receive or event_wait.

This first time you execute one of the DBM commands event_wait, event_receive or event_available an event session is generated within the Database Manager session. Events that are triggered from this time on are collected and can be dealt with within the event session.

You get an OK message if events were triggered.

See also:

Utilities, Event Dispatcher

### Prerequisites

● You have the DBInfoRead server authorization.

● The database parameter _MAXEVENTTASK has been configured sufficiently large (see: Concepts of the Database System, Support Database Parameter).

### Syntax

event_available

### Reply

OK

In the event of errors, see Reply Format